Bug 1498037 - Review Request: php-pecl-mcrypt - Bindings for the libmcrypt library
Review Request: php-pecl-mcrypt - Bindings for the libmcrypt library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-03 07:29 EDT by Remi Collet
Modified: 2017-10-23 08:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-23 08:36:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
fedora-review.txt (13.44 KB, text/plain)
2017-10-20 14:25 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2017-10-03 07:29:55 EDT
Spec URL: https://git.remirepo.net/cgit/rpms/php/pecl/php-pecl-mcrypt.git/plain/php-pecl-mcrypt.spec?id=8d2bbb722d241a029c5f4bc1c647e77be7d6e51b
SRPM URL: http://rpms.remirepo.net/SRPMS/php-pecl-mcrypt-1.0.1-1.fedora.7.0.src.rpm
Description: 
Provides bindings for the unmaintained libmcrypt.

Fedora Account System Username: remi

This extension have been dropped from PHP 7.2 which is now in rawhide
Comment 1 Remi Collet 2017-10-03 07:35:46 EDT
Scratch build
https://koji.fedoraproject.org/koji/taskinfo?taskID=22235186
Comment 2 Shawn Iwinski 2017-10-20 14:25 EDT
Created attachment 1341378 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1498037
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Shawn Iwinski 2017-10-20 14:25:48 EDT
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
     
     Diffs are just removing SCL bits and cleaning up from remirepo to Fedora



No blockers

===== APPROVED =====
Comment 4 Remi Collet 2017-10-21 00:36:25 EDT
Thanks for the review

fedrepo request:
https://pagure.io/releng/fedora-scm-requests/issue/2356
Comment 5 Remi Collet 2017-10-21 03:56:44 EDT
>  Diffs are just removing SCL bits and cleaning up from remirepo to Fedora

I'd like to understand how this happen, was thinking to a mistake from me in above links, but everything seems ok...

The spec URL in comment 1 is the fedora one (without SCL)
The spec from the .src.rpm in the linked URL is the same.

:(


$ wget https://git.remirepo.net/cgit/rpms/php/pecl/php-pecl-mcrypt.git/plain/php-pecl-mcrypt.spec?id=8d2bbb722d241a029c5f4bc1c647e77be7d6e51b -O spec
$ wget http://rpms.remirepo.net/SRPMS/php-pecl-mcrypt-1.0.1-1.fedora.7.0.src.rpm
$ rpmdev-extract php-pecl-mcrypt-1.0.1-1.fedora.7.0.src.rpm
$ diff spec php-pecl-mcrypt-1.0.1-1.fedora.7.0.src/php-pecl-mcrypt.spec


And indeed, fedora-review download the bad spec....
Very strange
Comment 6 Remi Collet 2017-10-21 04:30:51 EDT
@shawn bug #1505030 open to track this issue
Comment 7 Gwyn Ciesla 2017-10-23 08:09:43 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-pecl-mcrypt

Note You need to log in before you can comment on or make changes to this bug.